#pragma once
#include "CheckerBoard.h"


class CheckersAI {
public:
    CheckersAI(bool isWhite) : isWhite(isWhite) {}

    CheckerBoard findBestMove(const CheckerBoard& board, int depth);

private:
    bool isWhite;

    int minimax(CheckerBoard board, int depth, int alpha, int beta, bool isMaximizing);
};